var info = WScript.CreateObject("IMegaSoftware.Info");
var infostr = "Version: " + String(info.GetVersion()) + "." + String(info.GetMinorVersion()) + "\n";
infostr += "True value:  " + String(info.GetTrueValue()) + "\n";
infostr += "False value: " + String(info.GetFalseValue()) + "\n";
infostr += "OS numeric: " + String(info.GetSystem()) + "\n";
infostr += "OS text: " + info.GetSystemText() + "\n";
infostr += "Author info: " + info.GetAuthorInfo() + "\n";
WScript.Echo(infostr);

var im = WScript.CreateObject("IMegaSoftware.Image");
WScript.Echo("LoadFromJpg: " + im.LoadFromJpg("in\\in1.jpg"));
WScript.Echo("IsNullImage: "  + im.IsNullImage());
//staci IsValidImage
WScript.Echo("IsValidImage: " + im.IsValidImage());
WScript.Echo("GetHtmlWH: " + im.GetHtmlWH());
WScript.Echo("SaveToBmp: " + im.SaveToBmp("out\\out1.bmp"));
if(im.HeaderReadBmp("in\\rot.bmp"))
{
  WScript.Echo("BMP HeaderGetWidth(): "+ im.HeaderGetWidth());
  WScript.Echo("BMP HeaderGetHeight(): "+im.HeaderGetHeight());
  WScript.Echo("BMP HeaderGetHtmlWH(): "+im.HeaderGetHtmlWH());
}else WScript.Echo("ERROR HeaderReadBmp");
//bmp => jpg
if(im.LoadFromBmp("in\\in2.bmp"))
{
  if(im.IsValidImage())
  {
    if(!im.SaveToJpg("out\\out2.jpg"))
      WScript.Echo("ERROR SaveToJpg");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
if(im.HeaderReadJpg("out\\out2.jpg"))
{
  WScript.Echo("JPG HeaderGetWidth(): "+ im.HeaderGetWidth());
  WScript.Echo("JPG HeaderGetHeight(): "+im.HeaderGetHeight());
  WScript.Echo("JPG HeaderGetHtmlWH(): "+im.HeaderGetHtmlWH());
}else WScript.Echo("ERROR HeaderReadJpg");
///rotace CW
if(im.LoadFromBmp("in\\rot.bmp"))
{
  if(im.IsValidImage())
  {
    if(im.RotateCW())
    {
      if(!im.SaveToJpg("out\\rotCW.jpg"))
        WScript.Echo("ERROR SaveToJpg");
    }
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
///rotace CCW
if(im.LoadFromBmp("in\\rot.bmp"))
{
  if(im.IsValidImage())
  {
    if(im.RotateCCW())
    {
      if(!im.SaveToJpg("out\\rotCCW.jpg"))
        WScript.Echo("ERROR SaveToJpg");
    }
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
///rotace 180
if(im.LoadFromBmp("in\\rot.bmp"))
{
  if(im.IsValidImage())
  {
    if(im.Rotate180())
    {
      if(!im.SaveToJpg("out\\rot180.jpg"))
        WScript.Echo("ERROR SaveToJpg");
    }
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
///change size 1:1 => 2:3
if(im.LoadFromBmp("in\\size.bmp"))
{
  if(im.IsValidImage())
  {
    if(im.ResizeImg(im.Width*2,im.Height*3))
    {
      if(!im.SaveToJpg("out\\size2-3.jpg"))
        WScript.Echo("ERROR SaveToJpg");
    }
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
///split height
if(im.LoadFromBmp("in\\size.bmp"))
{
  if(im.IsValidImage())
  {
    im.Height = im.Height/2;
    if(!im.SaveToJpg("out\\sizesplit.jpg"))
      WScript.Echo("ERROR SaveToJpg");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
///rotace change add height - spatny zpusob
if(im.LoadFromBmp("in\\size.bmp"))
{
  if(im.IsValidImage())
  {
    im.Height = im.Height*2;
    if(!im.SaveToJpg("out\\sizeaddh.jpg"))
      WScript.Echo("ERROR SaveToJpg");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
///rotace change add height - dobry zpusob
if(im.LoadFromBmp("in\\size.bmp"))
{
  if(im.IsValidImage())
  {
    if(im.ChangeSize(im.Width,im.Height*1.5))
    {
      im.DefaultJpgQuality = 100;
      if(!im.SaveToJpg("out\\sizeaddh2.jpg"))
        WScript.Echo("ERROR SaveToJpg");
    }else WScript.Echo("ERROR change size");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");
//Drawing 1
if(im.LoadFromBmp("in\\brush.bmp"))
{
  if(im.IsValidImage())
  {
    var im2 = WScript.CreateObject("IMegaSoftware.Image");
    if(im2.CreateFromSize(400,400,im.GetColorFromRGB(128,128,255)))
    {
      if(im2.IsValidImage())
      {
        if(im2.Draw(5,5,im))
        {
          im.SetTransparentColor(im.GetColorFromRGB(0,0,0));
          if(im2.Draw(200,5,im))
          {
            im.SetTransparentColor(im.GetColor(im.Width/2,im.Height/2));
            if(im2.Draw(300,5,im))
            {
              if(im2.StretchDraw(5,130,80,80,im))
              {
                im.SetTransparentColor(im.GetColorFromRGB(0,0,0));
                if(im2.StretchDraw(190,190,120,80,im))
                {
                  if(!im2.SaveToJpg("out\\draw1.jpg",100))
                    WScript.Echo("ERROR SaveToJpg");
                  im2.DeleteImage();
                }else WScript.Echo("ERROR StretchDraw 2");
              }else WScript.Echo("ERROR StretchDraw 1");
            }else WScript.Echo("ERROR Draw 3");
          }else WScript.Echo("ERROR Draw 2");
        }else WScript.Echo("ERROR Draw 1");
      }else WScript.Echo("ERROR No Valid Image");
    }else WScript.Echo("ERROR LoadFromFile");
  }else WScript.Echo("ERROR No Valid Image (brush)");
}else WScript.Echo("ERROR LoadFromFile");
//Drawing 2
if(im.CreateFromSize(200,200,im.GetColorFromRGB(196,196,255)))
{
  if(im.IsValidImage())
  {
    im.PenColor = im.GetColorFromRGB(0,0,255);
    im.Line(5,5,50,5);
    im.TextOut(55,0,"Line()");
    im.PenWidth = 3;
    im.Line(5,10,50,10);
    im.PenWidth = 1;
    im.PenColor = im.GetColorFromRGB(255,0,0);
    im.MoveTo(5,15);
    im.LineTo(50,15);
    im.LineTo(40,25);
    im.LineTo(15,25);
    im.LineTo(5,15);
    im.TextOut(55,15,"LineTo()");
    im.FontHeight = 8;
    var Text = "Text ";
    im.TextOut(5,35,Text);
    im.FontStyle = 0x01 | 0x02;
    im.TextOut(5,50,Text);
    im.FontStyle = 0x01 | 0x04;
    im.FontColor = im.GetColorFromRGB(196,0,196);
    im.TextOut(5,65,Text);
    im.FontStyle = 0x08;
    im.TextOut(5,80,Text);

    im.FontColor = im.GetColorFromRGB(0,196,92);
    im.FontHeight = 24;
    im.FontCharSet = 204;
    im.FontStyle = 0x0;
    im.BrushColor = im.GetColorFromRGB(196,255,255);
    var w = im.GetTextWidth(Text);
    var h = im.GetTextHeight(Text);
    im.BrushStyle = 4;
    im.Rectangle(5-2,95-2,w+4,h+4);
    im.TextOut(5,95,Text);

    im.FontHeight = 16;
    im.FontCharSet = 1;
    im.FontStyle = 0x1;
    im.FontName = "Symbol";
    im.TextOut(5,125,Text);

    im.BrushStyle = 0;
    im.FillRect(5,150,50,50);
    im.BrushStyle = 1;
    im.Rectangle(55,150,50,50);

    im.PenWidth = 1;
    im.LineRect(58,153,44,44);

    im.BrushStyle = 1;
    im.BrushColor = im.GetColorFromRGB(0,0,255);
    im.PenWidth = 4;
    im.Ellipse(10,160,40,30);

    im.BrushColor = im.GetColorFromRGB(0,255,255);
    im.BrushStyle = 5;
    im.PenWidth = 2;
    im.Ellipse(60,155,40,40);
    im.PenWidth = 1;
    im.LineEllipse(150,150,50,50);

    if(!im.SaveToBmp("out\\draw2.bmp"))
      WScript.Echo("ERROR SaveToBmp");
//
    im.ThumbBgColor = im.GetColorFromRGB(255,255,255);
    if(im.MakeThumb(100, 150))
    {
      if(!im.SaveToBmp("out\\Thumb_draw2.bmp"))
        WScript.Echo("ERROR SaveToBmp");
    }else WScript.Echo("ERROR MakeThumb");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR CreateFromSize");

if(im.LoadFromJpg("in\\020.jpg"))
{
  if(im.IsValidImage())
  {
    im.ThumbBgColor = im.GetColorFromRGB(0,0,0);
    im.cntThumbBorder = 6;
    im.SetThumbBorder(0,im.GetColorFromRGB(255,0,0));
    im.SetThumbBorder(1,im.GetColorFromRGB(255,0,0));
    im.SetThumbBorder(2,im.GetColorFromRGB(0,255,0));
    im.SetThumbBorder(3,im.GetColorFromRGB(0,255,0));
    im.SetThumbBorder(4,im.GetColorFromRGB(0,0,255));
    im.SetThumbBorder(5,im.GetColorFromRGB(0,0,255));
    if(im.MakeThumb(100, 100))
    {
      if(!im.SaveToBmp("out\\Thumb_020.bmp"))
        WScript.Echo("ERROR SaveToBmp");
      if(!im.SaveToJpg("out\\Thumb_020.jpg",86))
        WScript.Echo("ERROR SaveToJpg");
    }else WScript.Echo("ERROR MakeThumb");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");

//nove plne testy - uz si nepamatuju co sem pomenil tak delam toto
im.DeleteImage();
var im = WScript.CreateObject("IMegaSoftware.Image");
if(im.LoadFromJpg("in\\020.jpg"))
{
  if(im.IsValidImage())
  {
    im.ThumbBgColor = im.GetColorFromRGB(0,0,0);
    im.cntThumbBorder = 6;
    im.SetThumbBorder(0,im.GetColorFromRGB(255,0,0));
    im.SetThumbBorder(1,im.GetColorFromRGB(255,0,0));
    im.SetThumbBorder(2,im.GetColorFromRGB(0,255,0));
    im.SetThumbBorder(3,im.GetColorFromRGB(0,255,0));
    im.SetThumbBorder(4,im.GetColorFromRGB(0,0,255));
    im.SetThumbBorder(5,im.GetColorFromRGB(0,0,255));
    if(im.MakeThumb(200, 200))
    {

      if(!im.SaveToJpg("out\\Th00_15.jpg",15))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th01_30.jpg",30))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th02_95.jpg",95))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th03_85_pr_nosmooth.jpg",85,1,0))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th04_85_pr_smooth.jpg",85,1,1))
        WScript.Echo("ERROR SaveToJpg");

      if(!im.SaveToBmp("out\\Th09.bmp"))
        WScript.Echo("ERROR SaveToBmp");
    }else WScript.Echo("ERROR MakeThumb");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");


if(im.LoadFromJpg("in\\020.jpg"))
{
  if(im.IsValidImage())
  {
    im.ThumbBgColor = im.GetColorFromRGB(0,0,0);
    im.cntThumbBorder = 6;
    im.SetThumbBorder(0,im.GetColorFromRGB(255,0,0));
    im.SetThumbBorder(1,im.GetColorFromRGB(255,0,0));
    im.SetThumbBorder(2,im.GetColorFromRGB(0,255,0));
    im.SetThumbBorder(3,im.GetColorFromRGB(0,255,0));
    im.SetThumbBorder(4,im.GetColorFromRGB(0,0,255));
    im.SetThumbBorder(5,im.GetColorFromRGB(0,0,255));
    if(im.MakeThumb(1000, 800))
    {

      if(!im.SaveToJpg("out\\Th10_15.jpg",15))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th11_30.jpg",30))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th12_95.jpg",95))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th13_85_pr_nosmooth.jpg",85,1,0))
        WScript.Echo("ERROR SaveToJpg");
      if(!im.SaveToJpg("out\\Th14_85_pr_smooth.jpg",85,1,1))
        WScript.Echo("ERROR SaveToJpg");

      if(!im.SaveToBmp("out\\Th90.bmp"))
        WScript.Echo("ERROR SaveToBmp");

    }else WScript.Echo("ERROR MakeThumb");
  }else WScript.Echo("ERROR No Valid Image");
}else WScript.Echo("ERROR LoadFromFile");


im.DeleteImage();

WScript.Echo("Byli vygenervny obrzky v adresi 'out'\nMe si promazat adres 'out' a zkusit znovu");
